## com.baidubce.model
Class AbstractBceResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse

Direct Known Subclasses:
  AddStepsResponse, BatchGetItemResponse, BatchWriteItemResponse, BosResponse, CreateClusterResponse, CreateInstanceResponse, CreateJobResponse, CreateMediaResourceResponse, CreateNotificationResponse, CreatePipelineResponse, CreatePresetResponse, CreatePresetResponse, CreateSessionResponse, CreateTableResponse, CreateThumbnailJobResponse, CreateTranscodingJobResponse, CreateWaterMarkResponse, DeleteInstanceResponse, DeleteItemResponse, DeleteMediaResourceResponse, DeleteNotificationResponse, DeletePipelineResponse, DeletePresetResponse, DeletePresetResponse, DeleteSessionResponse, DeleteTableResponse, DeleteWaterMarkResponse, ErrorResponse, GenerateMediaIdResponse, GetClusterResponse, GetInstanceResponse, GetItemResponse, GetJobResponse, GetMediaInfoOfFileResponse, GetMediaResourceResponse, GetNotificationResponse, GetPipelineResponse, GetPlayableUrlResponse, GetPlayerCodeResponse, GetPresetResponse, GetPresetResponse, GetSecurityPolicyResponse, GetSessionResponse, GetStepResponse, GetTableResponse, GetThumbnailJobResponse, GetTranscodingJobResponse, GetWaterMarkResponse, InternalCreateMediaResponse, ListClustersResponse, ListInstanceGroupsResponse, ListInstancesResponse, ListInstancesResponse, ListJobsResponse, ListMediaResourceResponse, ListNotificationsResponse, ListPipelinesResponse, ListPresetsResponse, ListPresetsResponse, ListSecurityPoliciesResponse, ListSessionsResponse, ListStepsResponse, ListTablesResponse, ListThumbnailJobsResponse, ListTranscodingJobsResponse, ListWaterMarkResponse, PauseSessionResponse, PublishMediaResourceResponse, PutItemResponse, QueryResponse, RefreshSessionResponse, ResumeSessionResponse, SesResponse, SmsResponse, StartPullSessionResponse, StopMediaResourceResponse, UpdateItemResponse, UpdateMediaResourceResponse, UpdateSecurityPolicyResponse, UpdateTableResponse

    public class AbstractBceResponse

extends Object

Represents the response from an BCE service, including the result payload and any response metadata. BCE response metadata consists primarily of the BCE request ID, which can be used for debugging purposes when services aren't acting as expected.

Field Summary
`protected BceResponseMetadata` `metadata`

Constructor Summary
`AbstractBceResponse()`

Method Summary
`BceResponseMetadata` `getMetadata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metadata

    protected BceResponseMetadata metadata

Constructor Detail

### AbstractBceResponse

    public AbstractBceResponse()

Method Detail

### getMetadata

    public BceResponseMetadata getMetadata()

Copyright © 2016. All rights reserved.